org.eclipse.microprofile.jwt

## Interface ClaimValue<T>

Type Parameters:
  `T` - the expected type of the claim

All Superinterfaces:
  Principal

    public interface ClaimValue<T>
    extends Principal

A representation of a claim in a `JsonWebToken`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Access the name of the claim.
`T` `getValue()` Access the value of the claim.

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies, toString`

### Method Detail

#### getName

    String getName()

Access the name of the claim.

Specified by:
  `getName` in interface `Principal`
Returns:
  The name of the claim as seen in the JsonWebToken content

#### getValue

    T getValue()

Access the value of the claim.

Returns:
  the value of the claim.